import java.util.*; // Random
import java.awt.*;

class Sky extends Sprite{
int NUM_STARS = 25;
int starsX[];
int starsY[];

	Sky(){
		// randomly position far away stars
		starsX = new int[NUM_STARS];
		starsY = new int[NUM_STARS];
//		Random rand = new Random();
		for(int i = 0; i < NUM_STARS; i++){
			starsX[i] = SWar.rand.nextInt(Window.SCREEN_WIDTH);
			starsY[i] = SWar.rand.nextInt(Window.SCREEN_HEIGHT);
		}
	}

	public void run(ListIterator li){ } // sky does not change it's properties

	public void draw(Graphics g){ // draw the far away stars
		g.setColor(Color.black);
		g.fillRect(0,0,499,499);
		g.setColor(Color.white);
		for(int i = 0; i < NUM_STARS; i++){
			g.fillRect(starsX[i], starsY[i],2,2);
		}
	}
}