import java.awt.*;
import java.util.*;

class Star extends Sprite{
static int MAX_RADIUS = 16;
static double STAR_X = 1.0;
static double STAR_Y = 1.0;

	Star(){
		location = new Vector2d(STAR_X,STAR_Y);
		size = ((float)MAX_RADIUS)/(float)(2*Window.PIXEL_PER_AU);
	}

	public void run(ListIterator li){ // star does not move but flashes...
	}

	public void draw(Graphics g){ // draw the star
		g.setColor(Color.white);
		int displaySize = SWar.tics % MAX_RADIUS;
		g.drawOval((Window.SCREEN_WIDTH-displaySize)/2, (Window.SCREEN_HEIGHT-displaySize)/2,
									 displaySize,displaySize);
	}

} // Star