import java.util.*; // Math.sqrt()

class Vector2d{
public double x;
public double y;

	Vector2d(){}

	Vector2d(double x_val, double y_val){
		x = x_val;
		y = y_val;
	}

	public Vector2d makeCopy(){
		return new Vector2d(x,y);
	}

	public double scalarValue(){
		return Math.sqrt(x*x+y*y);
	}

	public Vector2d scale(double mult){
		Vector2d ret = makeCopy();
		ret.x*=mult;
		ret.y*=mult;
		return ret;
	}

	public Vector2d add(Vector2d that){ // add this + that :)
		Vector2d ret = new Vector2d();
		ret.x = this.x + that.x;
		ret.y = this.y + that.y;
		return ret;
	}

	public Vector2d sub(Vector2d that){ // substract that from this
		Vector2d ret = new Vector2d();
		ret.x = this.x - that.x;
		ret.y = this.y - that.y;
		return ret;
	}

	public String toString(){
		return "["+x+","+y+"]";
	}
}